/*
*
* Space for BeOS R5
* - Release 2.0
*
* Copyright (C) 1999-2000 Brian Matzon. All Rights Reserved.
*
* This program is freeware.
*
* Please send any comments and/or flames, ideas ... to brian@matzon.dk
* 
*
*/

#include "SpaceView.h"
#include <Deskbar.h>

//Declare the function, which will be called by the deskbar
extern "C" _EXPORT BView* instantiate_deskbar_item();

class SpaceApp : public BApplication
{
public:
	SpaceApp();
};

SpaceApp::SpaceApp()
: BApplication("application/x-vnd.Matzon.Space")
{
	//Create a Deskbar instance and use it to send a view to the Deskbar
	BDeskbar Desk;
	
	app_info inf;
	be_app->GetAppInfo(&inf);
	
	Desk.AddItem(&inf.ref);

	//Done... Get out of here
	PostMessage(B_QUIT_REQUESTED);
}

int main(int argc, char** argv)
{
	SpaceApp* App = new SpaceApp();
	App->Run();
	delete App;
	return B_NO_ERROR;
}

//This is the function which gets called from the Deskbar
BView *instantiate_deskbar_item()
{
	//Defaults
	//TODO: Add customization...
	rgb_color Active, Idle, Frame;
	int Width, Height;
	
	Active.red 		= 0;
	Active.green 	= 0;
	Active.blue 	= 255;
	Active.alpha	= 0;
	
	Frame.red 		= 0;
	Frame.green 	= 0;
	Frame.blue 		= 0;
	Frame.alpha 	= 0;
	
	Idle.red 		= 32;
	Idle.green 		= 64;
	Idle.blue 		= 32;
	Idle.alpha 		= 0;
	
	Width 			= 6;
	Height 			= 15;	 
	
	SpaceView* sv 	= new SpaceView(Width, Height, Active, Idle, Frame);
	return (BView*)sv;
}