/*
*
* Space for BeOS R5
* - Release 2.0
*
* Copyright (C) 1999-2000 Brian Matzon. All Rights Reserved.
*
* This program is freeware.
*
* Please send any comments and/or flames, ideas ... to brian@matzon.dk
* 
*
*/

#include <Be.h>
#include <TypeConstants.h>
#include <stdio.h>
#include <GraphicsDefs.h>
#include <Deskbar.h>

const rgb_color D_FrameColor = {0, 0, 0, 0};
const rgb_color D_IdleColor = {32, 64, 32, 0};
const rgb_color D_ActiveColor = {0, 0, 255, 0};

#define REMOVE_SPACE	'rems'
#define PULSE_SPACE		'plss'

class SpaceView : public BView
{
public:
	SpaceView(int width, int height, rgb_color& Active, rgb_color& Idle, rgb_color& Frame);
	SpaceView(BMessage* Msg);
	~SpaceView();
	status_t Archive(BMessage* Date, bool Deep) const;
	static BArchivable* Instantiate(BMessage* Data);
	void MessageReceived(BMessage* Msg);
	void MouseDown(BPoint Where);
	void Draw(BRect UpdateRect);
	void DetachedFromWindow();
	void AttachedToWindow();
	void Pulse();
private:
	double	Capacity;
	double	FreeSpace;
	BVolumeRoster Roster;
	BVolume Volume;
	int Occupied;
	BMessageRunner *messagerunner;
	rgb_color ActiveColor;
	rgb_color IdleColor;
	rgb_color FrameColor;
};